PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
PSortedListElement Struct Reference

`#include <lists.h>`

Collaboration diagram for PSortedListElement:
[legend]

## Public Types
enum | { Red, Black }

## Public Member Functions
| PSortedListElement (PSortedListElement *nil=NULL, PObject *obj=NULL)
| PDECLARE_POOL_ALLOCATOR ()

## Public Attributes
PSortedListElement * | m_parent
PSortedListElement * | m_left
PSortedListElement * | m_right
PObject * | m_data
PINDEX | m_subTreeSize
enum PSortedListElement:: { ... } | m_colour

## Member Enumeration Documentation

anonymous enum

Enumerator
Red |
Black |

## Constructor & Destructor Documentation

PSortedListElement::PSortedListElement | ( | PSortedListElement * | nil = `NULL`,
|  | PObject * | obj = `NULL`
| ) |  |

## Member Function Documentation

PSortedListElement::PDECLARE_POOL_ALLOCATOR | ( |  | ) |

## Member Data Documentation

enum { ... } PSortedListElement::m_colour

PObject* PSortedListElement::m_data

PSortedListElement* PSortedListElement::m_left

PSortedListElement* PSortedListElement::m_parent

PSortedListElement* PSortedListElement::m_right

PINDEX PSortedListElement::m_subTreeSize

The documentation for this struct was generated from the following file:

- lists.h